package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponStatus {

    // 0-可投放;1-已作废;
    COUPON_STATUS_THROW_IN(0, "可投放"),
    COUPON_STATUS_TAKE_OFFF(1, "已作废"),
    ;

    public static EnumCouponStatus getEnum(Integer code) {
        for (EnumCouponStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
